cURL
curl --request POST \ --url https://api.example.com/v1/runs/search \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "query": "<string>", "similarity_threshold": 0, "limit": 10, "offset": 0, "context_size": 30, "max_matches_per_run": 5, "exact": true, "search_in": [ "input" ] } '
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "queued", "created_at": "2023-11-07T05:31:56Z", "input": {}, "output": {}, "node_ids": [ "<string>" ], "single_node_id": "<string>", "workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "progress": 0, "progress_details": { "executed_nodes": [ "<string>" ], "remaining_nodes": [ "<string>" ], "per_node_progress": {}, "running_nodes": [ "<string>" ], "skipped_nodes": [], "error_handler_nodes": [], "subflow_executions": {}, "per_edge_progress": {}, "run_logs": {} }, "definitions": {}, "started_at": "2023-11-07T05:31:56Z", "finished_at": "2023-11-07T05:31:56Z", "source": "<string>", "meta": {}, "similarity": 0, "matches": [] } ], "total": 1, "page": 2, "size": 2, "pages": 1 }
Search semantically for runs
Page number
x >= 1
Page size
1 <= x <= 100
input
output
other
run_id
Successful Response
Show child attributes
x >= 0